function getFlashMessages() {
    let elements = document.querySelectorAll('[x-flash-message]');
    let contentArray = Array.from(elements).map(el => el.innerHTML)
    return contentArray;
}


function showFlashMessages(messages) {
    messages.forEach(message => {
        Toastify({
            text: message,
            className: "toast-basic",
            duration: 3000,
            newWindow: true,
            close: false, // Show toast close icon
            gravity: "top", // `top` or `bottom`
            position: "center", // `left`, `center` or `right`
            stopOnFocus: true, // Prevents dismissing of toast on hover
        }).showToast();
    })
}

showFlashMessages(getFlashMessages())
